/* FILE: tkcmds.h                 -*-Mode: c++-*-
 *
 * Commands added to Tcl/Tk interpreter (& supporting routines)
 *
 */

#ifndef TKCMDS_H
#define TKCMDS_H

// Eventually get the build script to find the header file, instead
// of this convoluted path.
#include "../oommf/oommf.h"	/* TCLCMD */

/* End includes */     /* Optional directive to build.tcl */

int TkCommandsPreInit(char* exename,char* inputfile);
int TkCommandsCleanup();
TCLCMD GetFirstFileName;
TCLCMD GetMeshName;
TCLCMD GetMeshIncrement;
TCLCMD ChangeMesh;
TCLCMD DrawFrame;
TCLCMD GetFrameRotation;
TCLCMD SetFrameRotation;
TCLCMD GetFrameSubsampling;
TCLCMD SetFrameSubsampling;
TCLCMD GetFrameSize;
TCLCMD SetFrameSize;
TCLCMD GetFrameScale;
TCLCMD SetFrameScale;
int Mmdisp_Init(Tcl_Interp* interp);

#endif // TKCMDS_H
