/*
 *
 * Redo this header in an OOMMF style.
 *
 * oommf.h --
 *
 *	Declarations for OOMMF-related things that are visible
 *	outside of the OOMMF module itself.
 *
 */

#ifndef _OOMMF
#define _OOMMF

#include "machine.h"
#include <tk.h>
#if (DEBUGLVL > 1)
// Disbaled until Libes debugger shown useful
//#include <Dbg.h>
#endif

/* End includes */     /* Optional directive to build.tcl */

/*
 * These version numbers follow the Tcl version number convention.
 *
 * Goal is to have CVS handle updating of these values, as well as the
 * CVS tags.
 * 
 * Don't edit these values by hand.  Let CVS manage them.
 */
#define OOMMF_MAJOR_VERSION   0
#define OOMMF_MINOR_VERSION   0
#define OOMMF_RELEASE_LEVEL   0
#define OOMMF_RELEASE_SERIAL  0

#define OOMMF_VERSION "0.0"
#define OOMMF_PATCH_LEVEL "0.0a0"

/*
 * Abbreviation for Tcl Command prototypes
 */
typedef int TCLCMD(ClientData,Tcl_Interp *interp,int argc,char** argv);

/*
 * Prototypes
 */
int Oommf_Init(Tcl_Interp* interp);

#endif /* _OOMMF */
